For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Community Channels

Get configured channel groups and channels for a specific Sonoran Radio server.

Get Community Channels

GET /v2/servers/:communityId/channels

Rate limit: 6 requests per minute Authenticated v2 endpoints are rate limited per API key rather than per IP address.

Returns channel groups and channel definitions for the selected server.

Headers

Name
Value

Authorization

Bearer <community-api-key>

Examples

local response = client.radio:getCommunityChannelsV2()
const response = await instance.radio?.getCommunityChannelsV2();
response = instance.radio.getCommunityChannelsV2()
var response = await sonoran.Radio.getCommunityChannelsV2();
openapi: 3.1.0
paths:
  /v2/servers/{communityId}/channels:
    get:
      security:
        - bearerAuth: []
curl -X GET "https://api.sonoranradio.com/v2/servers/YOUR_COMMUNITY_ID/channels" \
  -H "Authorization: Bearer your-community-api-key"

Response

Successful requests return application/json.

{
  "groups": [],
  "channels": [
    {
      "id": 101,
      "name": "Law Dispatch"
    }
  ]
}

Last updated

Was this helpful?